/*
*****************************************************************
Library Name        : Strings Utility Library 

Release Date        : 3/10/2010

Library Author      : Nart Schinackow (c)

Library Version     : V.1.0

Programing Language : C

Notes               : Nothing
*****************************************************************
*/


unsigned char __Byte__Buffer__[9];
unsigned char __Word__Buffer__[17];
char __BUFFER__[6];
char __LONG__BUFFER__[11];

void StringCopy(char* To, char* From);
void StringConcat(char* String, char* Add);
unsigned int StringLength(char* String);
char* ConvertInt2String(unsigned int Value);
unsigned int ConvertString2Int(char* String);
unsigned char* ConvertByte2BString(unsigned char Byte);
unsigned char* ConvertWord2BString(unsigned int Word);
unsigned char ConvertBStringToByte(char* ByteString);
unsigned int ConvertBStringToWord(char* WordString);
char* ConvertByte2String(unsigned char Value);
unsigned char ConvertString2Byte(char* String);
unsigned short StringCompare(char* StringA, char* StringB);
void StringReplace(char* x, char* y);
unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number);
void StringNCopy(char* To, char* From, unsigned int Number);
void StringToUpper(char* Str);
void StringToLower(char* Str);
unsigned char IsCharUpper(char c);
unsigned char IsCharLower(char c);
char* ConvertLong2String(unsigned long Value);
unsigned long ConvertString2Long(char* String);
void ConvertFloatToString(float NUMBER, unsigned short PRECISION, char* OutBuffer);

#include "Utility_Strings.c"
