#line 1 "C:/Users/Nart Schinackow/Desktop/PIC18f452/MyProject.c"
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/string.h"
#line 18 "c:/users/nart schinackow/desktop/pic18f452/libraries/string.h"
unsigned char __Byte__Buffer__[9];
unsigned char __Word__Buffer__[17];
char __BUFFER__[6];
char __LONG__BUFFER__[11];

void StringCopy(char* To, char* From);
void StringConcat(char* String, char* Add);
unsigned int StringLength(char* String);
char* ConvertInt2String(unsigned int Value);
unsigned int ConvertString2Int(char* String);
unsigned char* ConvertByte2BString(unsigned char Byte);
unsigned char* ConvertWord2BString(unsigned int Word);
unsigned char ConvertBStringToByte(char* ByteString);
unsigned int ConvertBStringToWord(char* WordString);
char* ConvertByte2String(unsigned char Value);
unsigned char ConvertString2Byte(char* String);
unsigned short StringCompare(char* StringA, char* StringB);
void StringReplace(char* x, char* y);
unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number);
void StringNCopy(char* To, char* From, unsigned int Number);
void StringToUpper(char* Str);
void StringToLower(char* Str);
unsigned char IsCharUpper(char c);
unsigned char IsCharLower(char c);
char* ConvertLong2String(unsigned long Value);
unsigned long ConvertString2Long(char* String);
void ConvertFloatToString(float NUMBER, unsigned short PRECISION, char* OutBuffer);
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/utility_strings.c"
#line 16 "c:/users/nart schinackow/desktop/pic18f452/libraries/utility_strings.c"
void StringCopy(char* To, char* From)
{
 while(*To++=*From++);
}

void StringConcat(char* String, char* Add)
{
 while(*++String);
 while(*String++=*Add++);
}

unsigned int StringLength(char* String)
{
 unsigned int __c__;
 for(__c__=0;*String;String++)__c__++;
 return __c__;
}
#line 47 "c:/users/nart schinackow/desktop/pic18f452/libraries/utility_strings.c"
char* ConvertInt2String(unsigned int Value)
{
 unsigned int __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned int ConvertString2Int(char* String)
{
 unsigned int __c__;
 unsigned int __i__;
 unsigned int __s__;
 unsigned int __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}


char* ConvertLong2String(unsigned long Value)
{
 unsigned long __t__;
 char* __p__;

 if(!Value)
 {
 __LONG__BUFFER__[0]='0';
 __LONG__BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__LONG__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__LONG__BUFFER__;
}



unsigned long ConvertString2Long(char* String)
{
 unsigned int __c__;
 unsigned int __i__;
 unsigned long __s__;
 unsigned long __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}

unsigned char* ConvertByte2BString(unsigned char Byte)
{
 unsigned char i;
 __Byte__Buffer__[8]='\0';
 for(i=7;i>0;i--)
 {
 __Byte__Buffer__[i]=(Byte%2)+48;
 Byte/=2;
 }
 __Byte__Buffer__[i]=(Byte%2)+48;
 return __Byte__Buffer__;
}

unsigned char* ConvertWord2BString(unsigned int Word)
{
 unsigned char i;
 __Word__Buffer__[16]='\0';
 for(i=15;i>0;i--)
 {
 __Word__Buffer__[i]=(Word%2)+48;
 Word/=2;
 }
 __Word__Buffer__[i]=(Word%2)+48;
 return __Word__Buffer__;
}


unsigned char ConvertBStringToByte(char* ByteString)
{
 unsigned char Offset,i,sum;
 for(i=7,Offset=1,sum=0;i>0;i--)
 {
 sum+=(ByteString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(ByteString[i]-48)*128;
 return sum;
}

unsigned int ConvertBStringToWord(char* WordString)
{
 unsigned char i;
 unsigned int sum,Offset;
 for(i=15,Offset=1,sum=0;i>0;i--)
 {
 sum+=(WordString[i]-48)*Offset;
 Offset*=2;
 }
 sum+=(WordString[i]-48)*32768;
 return sum;
}





char* ConvertByte2String(unsigned char Value)
{
 unsigned char __t__;
 char* __p__;

 if(!Value)
 {
 __BUFFER__[0]='0';
 __BUFFER__[1]='\0';
 }
 else
 {
 __t__=Value;
 for(__p__=__BUFFER__;__t__>0;__t__/=10)__p__++;
 for(*__p__='\0';Value>0;Value/=10)*--__p__=(Value%10)+48;
 }
 return __p__=__BUFFER__;
}



unsigned char ConvertString2Byte(char* String)
{
 unsigned char __c__;
 unsigned char __i__;
 unsigned char __s__;
 unsigned char __m__;
 for(__c__=0;*String;String++)__c__++;__s__=0;__m__=1;
 for(__i__=0;__i__<__c__;__i__++){__s__+=(*--String-48)*__m__;__m__*=10;}
 return __s__;
}




unsigned short StringCompare(char* StringA, char* StringB)
{
 unsigned int __l1__;
 unsigned int __l2__;
 __l1__=StringLength(StringA);
 __l2__=StringLength(StringB);
 if(__l1__!=__l2__)return 0;
 for(__l1__=0;*StringB;StringB++)if(*StringA++!=*StringB)return 0;
 return 1;
}


void StringReplace(char* x, char* y)
{
 while(*y)*x++=*y++;
}

unsigned short StringNCompare(char* Str1, char* Str2, unsigned int Number)
{
 while(Number>0)
 {
 if(*Str1++!=*Str2++)return 0;
 Number--;
 }
 return 1;
}


void StringNCopy(char* To, char* From, unsigned int Number)
{
 while(Number--!=0)
 *To++=*From++;
}

void StringToUpper(char* Str)
{
 while(*Str)
 {
 if(*Str>='a'&&*Str<='z')
 *Str-=' ';
 ++Str;
 }
}

void StringToLower(char* Str)
{
 while(*Str)
 {
 if(*Str>='A'&&*Str<='Z')
 *Str+=' ';
 ++Str;
 }
}

unsigned char IsCharUpper(char c)
{
 return (unsigned char)(c>='A'&&c<='Z');
}

unsigned char IsCharLower(char c)
{
 return (unsigned char)(c>='a'&&c<='z');
}

void ConvertFloatToString(float NUMBER, unsigned short PRECISION, char* OutBuffer)
{
 unsigned short i;
 unsigned int MUL,decimal,Fraction;
 char* p;
 for(i=0,MUL=1;i<PRECISION;i++)MUL*=10;
 decimal = (unsigned int)NUMBER;
 Fraction = ((unsigned int)(NUMBER*MUL)%MUL);
 for(p=OutBuffer,MUL=decimal;MUL>0;MUL/=10)++p;
 for(MUL=Fraction,*p++='.';MUL>0;MUL/=10)++p;*p='\0';
 for(--p;Fraction>0;Fraction/=10,p--)*p=(Fraction%10)+48;
 for(--p;decimal>0;decimal/=10,p--)*p=(decimal%10)+48;
}
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/stdio.h"
void UartPrint(char* Text);
void UartPrintLine(char* Text);
void UartPrintCharLine(char Write);
void UartPrintConst(const char* Text);
void UartPrintConstLine(const char* Text);
void UartPrintConstCharLine(const char Write);
void UartScanText(char* Buffer, char StopChar);
void UartScanChar(char* Read);
void UartPrintNChar(char* Buffer, char Size);
void UartPrintNCharLine(char* Buffer, char Size);
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/standard_io.c"
void UartPrint(char* Text)
{
 while(*Text)UART1_Write(*Text++);
}


void UartPrintLine(char* Text)
{
 while(*Text)UART1_Write(*Text++);
 UART1_Write('\r');UART1_Write('\n');
}

void UartPrintCharLine(char Write)
{
 UART1_Write(Write);
 UART1_Write('\r');
 UART1_Write('\n');
}

void UartPrintConst(const char* Text)
{
 while(*Text)UART1_Write(*Text++);
}


void UartPrintConstLine(const char* Text)
{
 while(*Text)UART1_Write(*Text++);
 UART1_Write('\r');UART1_Write('\n');
}

void UartPrintConstCharLine(const char Write)
{
 UART1_Write(Write);
 UART1_Write('\r');
 UART1_Write('\n');
}

void UartScanText(char* Buffer, char StopChar)
{
 while(*(Buffer-1)!=StopChar)
 {
 while(!UART1_Data_Ready());
 *Buffer++=UART1_Read();
 }
 *--Buffer='\0';
}

void UartScanChar(char* Read)
{
 while(!UART1_Data_Ready());
 *Read=UART1_Read();
}

void UartPrintNChar(char* Buffer, char Size)
{
 char i;
 for(i=0;i<Size;i++)
 Uart1_Write(Buffer[i]);
}

void UartPrintNCharLine(char* Buffer, char Size)
{
 char i;
 for(i=0;i<Size;i++)
 Uart1_Write(Buffer[i]);

 Uart1_Write('\r');
 Uart1_Write('\n');
}
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/ns73m.h"
void FM_INIT(float FREQUENCY);
void FM_DISABLE();
void FM_ENABLE();
void FM_SET_FREQUENCY(float FREQUENCY);
#line 1 "c:/users/nart schinackow/desktop/pic18f452/libraries/ns73m.c"
extern sfr sbit NS73M_LATCH_PIN;
extern sfr sbit NS73M_DATA_PIN;
extern sfr sbit NS73M_CLOCK_PIN;

extern sfr sbit NS73M_LATCH_PIN_DIRECTION;
extern sfr sbit NS73M_DATA_PIN_DIRECTION;
extern sfr sbit NS73M_CLOCK_PIN_DIRECTION;


void __NS73M_SEND(char Address, char Data)
{
char x;
NS73M_LATCH_PIN=0;

for(x = 0 ; x < 4 ; x++)
{
NS73M_CLOCK_PIN=0;
delay_us(1);
NS73M_DATA_PIN = Address.f0;
NS73M_CLOCK_PIN=1;
delay_us(1);
Address=Address>>1;
}

for(x = 0 ; x < 8 ; x++)
{
NS73M_CLOCK_PIN=0;
delay_us(1);
NS73M_DATA_PIN = Data.f0;
NS73M_CLOCK_PIN=1;
delay_us(1);
Data = Data>>1;
}

NS73M_LATCH_PIN=1;
Delay_ms(1);

NS73M_LATCH_PIN=0;
}


void FM_DISABLE()
{
 __NS73M_SEND(0x00, 0B10100000);
}
void FM_ENABLE()
{
 __NS73M_SEND(0x00, 0B10100001);
}

void FM_SET_FREQUENCY(float FREQUENCY)
{
 unsigned int Fr;

 if (FREQUENCY < 88.5) {
 __NS73M_SEND(0x08, 0B00011011);
 }
 else if (FREQUENCY < 97.9) {
 __NS73M_SEND(0x08, 0B00011010);
 }
 else if (FREQUENCY < 103.0) {
 __NS73M_SEND(0x08, 0B00011001);
 }
 else {
 __NS73M_SEND(0x08, 0B00011000);
 }

 Fr = (unsigned int) ((FREQUENCY + 0.304) / 0.008192);
 __NS73M_SEND(0x03,(char)(Fr&0x00ff));
 __NS73M_SEND(0x04, (char)((Fr&0xff00)>>8));
 __NS73M_SEND(0x0E, 0B00000101);
}


void FM_INIT(float FREQUENCY)
{
 NS73M_CLOCK_PIN=0;
 NS73M_DATA_PIN=0;
 NS73M_LATCH_PIN=0;
 NS73M_DATA_PIN_DIRECTION=0;
 NS73M_LATCH_PIN_DIRECTION=0;
 NS73M_CLOCK_PIN_DIRECTION=0;

 delay_ms(500);

 __NS73M_SEND(0x0E, 0B00000101);

 __NS73M_SEND(0x01, 0B10110100);

 __NS73M_SEND(0x02, 0B00000011);

 FM_SET_FREQUENCY(FREQUENCY);

 FM_ENABLE();

 __NS73M_SEND(0x0E, 0B00000101);

 __NS73M_SEND(0x06, 0B00011110);
}
#line 6 "C:/Users/Nart Schinackow/Desktop/PIC18f452/MyProject.c"
sfr sbit NS73M_LATCH_PIN at RD1_bit;
sfr sbit NS73M_DATA_PIN at RD2_bit;
sfr sbit NS73M_CLOCK_PIN at RD3_bit;

sfr sbit NS73M_LATCH_PIN_DIRECTION at TRISD1_bit;
sfr sbit NS73M_DATA_PIN_DIRECTION at TRISD2_bit;
sfr sbit NS73M_CLOCK_PIN_DIRECTION at TRISD3_bit;


sbit LCD_RS at RE1_bit;
sbit LCD_EN at RE2_bit;
sbit LCD_D4 at RD4_bit;
sbit LCD_D5 at RD5_bit;
sbit LCD_D6 at RD6_bit;
sbit LCD_D7 at RD7_bit;

sbit LCD_RS_Direction at TRISE1_bit;
sbit LCD_EN_Direction at TRISE2_bit;
sbit LCD_D4_Direction at TRISD4_bit;
sbit LCD_D5_Direction at TRISD5_bit;
sbit LCD_D6_Direction at TRISD6_bit;
sbit LCD_D7_Direction at TRISD7_bit;

sbit sfr PushButton at RE0_bit;
sbit sfr PushButton_Direction at TRISE0_bit;


float freq=88.0;
char x=0;
unsigned int read;
char counter=0;
float fraction;
char Buffer[50];


void main() {
 ADCON1=0x0e;
 porta=0;
 trisa=0x01;
 PushButton=0;
 PushButton_Direction=1;;
 FM_INIT(88.0);
 FM_DISABLE();
 Lcd_Init();
 Lcd_Cmd(_LCD_CURSOR_OFF);
 lcd_out(1,1,"frequency");


 while (1)
 {
 lcd_out(1,1,"frequency");
 FloatToStr(freq,Buffer);
 Lcd_Out(2,1,Buffer);
 delay_ms(100);
 Lcd_Cmd(_LCD_CLEAR);
 if(PushButton)
 {
 while(PushButton){counter++;delay_ms(100);}
 if(counter>5)
 {
 counter=10;
 FM_DISABLE();
 lcd_out(1,1,"set in 2 sec");
 delay_ms(2000);
 while(1)
 {
 lcd_out(1,1,"set frequency");
 read=adc_read(0);
 freq=read*108.0/1024.0;
 freq=(unsigned int)freq;
 Lcd_Out(2,1,ConvertInt2String(freq));
 delay_ms(100);
 Lcd_cmd(_LCD_CLEAR);
 if(PushButton){delay_ms(100);break;}
 }
 lcd_out(1,1,"set in 2 sec");
 delay_ms(2000);
 while(1)
 {
 read=ADC_Read(0);
 if(read>=0&&read<102)fraction=(float)0.0;
 else if(read>=102&&read<204)fraction=(float)0.1;
 else if(read>=204&&read<306)fraction=(float)0.2;
 else if(read>=306&&read<408)fraction=(float)0.3;
 else if(read>=408&&read<510)fraction=(float)0.4;
 else if(read>=510&&read<612)fraction=(float)0.5;
 else if(read>=612&&read<714)fraction=(float)0.6;
 else if(read>=714&&read<816)fraction=(float)0.7;
 else if(read>=816&&read<918)fraction=(float)0.8;
 else if(read>=918&&read<1023)fraction=(float)0.9;
 else ;
 lcd_out(1,1,"set fraction");
 FloatToStr(fraction,Buffer);
 Lcd_Out(2,1,Buffer);
 delay_ms(100);
 Lcd_cmd(_LCD_CLEAR);
 if(PushButton){delay_ms(100);break;}
 }
 freq=freq+fraction;
 FM_SET_FREQUENCY(freq);
 }


 if(counter<5)
 {
 counter=0;
 x=!x;
 if(x){FM_ENABLE();Lcd_Cmd(_LCD_CLEAR);Lcd_Out_cp("ON AIR");}
 else {FM_DISABLE();Lcd_Cmd(_LCD_CLEAR);Lcd_Out_cp("OFF AIR");}
 delay_ms(2000);
 }
 if(counter==10){counter=0;}
 }



 }
}
